Subject: RE: [Mipshop] FMIPv6 - SPI in FBU for handover keys

From: Narayanan Vidya-CVN065 <[email-masked]>
Date: Thu, 4 Aug 2005 08:34:00 -0500

I agree. This seems better than making it specific to FMIP. The FMIPv6 revision can probably state that this option is mandatory in the FBU. 

Vidya

> -----Original Message-----
> From: James Kempf [mailto:[email-masked]] 
> Sent: Thursday, August 04, 2005 7:20 AM
> To: Charles E. Perkins; Vijay Devarapalli
> Cc: Narayanan Vidya-CVN065; 'Gerardo Giaretta'; 'Julien 
> Bournelle'; [email-masked]; 'Rajeev Koodli'; Venkitaraman 
> Narayanan-CNV002
> Subject: Re: [Mipshop] FMIPv6 - SPI in FBU for handover keys
> 
> 
> I like the idea of an SPI. It would allow us to name the SEND 
> key with something other than the address.
> 
>             jak
> 
> ----- Original Message -----
> From: "Charles E. Perkins" <[email-masked]>
> To: "Vijay Devarapalli" <[email-masked]>
> Cc: "Narayanan Vidya-CVN065" <[email-masked]>; "'Gerardo 
> Giaretta'" <[email-masked]>; "'Julien Bournelle'" 
> <[email-masked]>; <[email-masked]>; "'Rajeev 
> Koodli'" <[email-masked]>; "'James Kempf'" 
> <[email-masked]>; "Venkitaraman Narayanan-CNV002" 
> <[email-masked]>
> Sent: Thursday, August 04, 2005 4:28 AM
> Subject: Re: [Mipshop] FMIPv6 - SPI in FBU for handover keys
> 
> 
> >
> > Hello folks,
> >
> > I still think this is a good idea, and I'm happy to resubmit the 
> > document for consideration by the working group if there is support 
> > for doing so.
> >
> > Regards,
> > Charlie P.
> >
> >
> >
> > Vijay Devarapalli wrote:
> >
> > > Narayanan Vidya-CVN065 wrote:
> > >
> > >> All,
> > >> While writing the draft on handover keys, we had to 
> ensure that the 
> > >> key is tied to the CoA of the MN, so that the AR is able to 
> > >> retrieve the correct key for the MN upon receiving an 
> FBU. This is 
> > >> due to the fact that there is currently no way to carry 
> an SPI in 
> > >> the FBU. It will be a lot cleaner if there was a way for 
> the MN to 
> > >> include an SPI in the FBU sent to the oAR, so that the 
> AR can use 
> > >> that to look up the SA.
> > >
> > >
> > > maybe you could use 
> > > 
> http://www.watersprings.org/pub/id/draft-perkins-mobileip-spi-00.txt
> > >
> > > it was written a long time ago.
> > >
> > > Vijay
> > >
> > > _______________________________________________
> > > Mipshop mailing list
> > > [email-masked] https://www1.ietf.org/mailman/listinfo/mipshop
> >
> >
> >
> >
> 
> 

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop